petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMPlexConstructGhostCells

Construct ghost cells which connect to every boundary face

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexConstructGhostCells(DM dm, const char labelName[], PetscInt *numGhostCells, DM *dmGhosted)

Collective on dm

### Input Parameters

| dm | - The original DM
| labelName | - The label specifying the boundary faces, or "Face Sets" if this is NULL

### Output Parameters

| numGhostCells | - The number of ghost cells added to the DM
| dmGhosted | - The new DM

Note: If no label exists of that name, one will be created marking all boundary faces

### See Also

DMCreate()

### Level

developer

### Location

src/dm/impls/plex/plexsubmesh.c

### Examples

src/ts/examples/tutorials/ex11.c.html

### Implementations

DMPlexConstructGhostCells_Internal in src/dm/impls/plex/plexsubmesh.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages